#ifndef VOIP_API_H
#define VOIP_API_H

#include "apibase.h"
#include <QtQml>
#include <QByteArray>
#include <QVariantList>

class Voip : public APIBase
{
	Q_OBJECT
public:
	Q_INVOKABLE explicit Voip();

	// register API object in QML
	static void declareQML()
	{
		qmlRegisterType<Voip> ( "ru.mephi.devel.dyokunev.mobileVoipClient", 0, 1, "Voip" );
	}

	// GET /units.json
	QNetworkReply *getUnits();

	// GET /subscribers/me.json?forceFullView=true&renderFilter=units_roots
	QNetworkReply *getUnitsTree();

	// GET /units/{codeStr}.json
	QNetworkReply *getUnit ( QString codeStr );

public:
	QVariantList getVariantList ( QByteArray bytes );
};

#endif // VOIP_API_H
