import QtQuick 2.0

import "../models" as Models
import "../views" as Views
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.3


ScrollView {
	id: showUnit

	//property alias subscriberListItemHeight: subscriberList.itemList.delegate.height
	property int subscriberListItemHeight: 67
	property int unitListItemHeight: 67

	clip: true

	signal returnToSearch()

	Models.Appointment {
		id: appointmentModel
	}

	property alias subscriberModel: subscriberList.itemModel
	property alias subscriberList: subscriberList
	property alias unitCode: unitCode

	property var unitModel: ListModel {}
	property var unitIndex: null
	property alias unitName: unitName

	Component.onCompleted: {
	}

	onUnitIndexChanged: {
		console.log("Getting Appointments")
		var unit = unitModel.get(unitIndex)
		var appointments = unit.AppointmentsForRender
		//console.log("Filling appointmentModel: ", appointments)
		appointmentModel.setAllValues(appointments, true)
		//console.log("Turning into Subscribers")
		var subscribers = appointmentModel.subscribers()
		//console.log("Filling subscriberModel: ", subscribers)
		subscriberList.itemModel.setAllValues(subscribers, true)
		console.log("subscribers.length == ", subscribers.length);
		showUnit.contentHeight = subscriberList.itemModel.count * subscriberListItemHeight + unitList.itemModel.count * unitListItemHeight + 80
		console.log("showUnit.contentHeight  == ", showUnit.contentHeight)

		unitList.itemModel.reset()
		if (typeof(unit.Children) != 'undefined') {
			console.log(unit.Children)
			unitList.itemModel.setAllValues(unit.Children, true)
		}
	}

	//ScrollView {
		//height: parent.height
		//width: parent.width

		ColumnLayout {
			id: columnLayout

			RowLayout {
				id: unitNameLayout
				height: 40
				Layout.alignment: Qt.AlignLeft | Qt.AlignTop

				Button {
					id: goToParentButton
					width: 40
					text: qsTr("<")

					onClicked: {
						returnToSearch()
					}
				}

				Text {
					id: unitCode
					font.pixelSize: 24
				}

				TextArea {
					id: unitName
					Layout.fillHeight: false
					Layout.fillWidth: true
				}
			}

			ColumnLayout {
				id: stackLayout
				Layout.fillWidth: true
				//height: subscriberList.height + 40

				Item {
					Layout.fillWidth: true
					height: subscriberList.itemModel.count * subscriberListItemHeight
					Views.SubscribersList {
						id: subscriberList
						height: subscriberList.itemModel.count * subscriberListItemHeight
						Layout.fillWidth: true
					}
				}

				Item {
					id: childrenColumn
					Layout.fillWidth: true
					height: unitList.itemModel.count * unitListItemHeight
					y: subscriberList.height
					Views.UnitsList {
						id: unitList
						height: unitList.itemModel.count * unitListItemHeight
						Layout.fillWidth: true
					}
				}
			}
		}
	//}
}
