import QtQuick 2.0

import "helpers" as ViewHelpers

ViewHelpers.Tree {
	id: unitsTree

	property alias nameColumn: unitsTree.firstColumn
	property alias codeStrColumn: unitsTree.secondColumn

	function considerLoadingStatusChanged(loadingStatus) {
		switch (loadingStatus) {
		case 0:// TODO: what the magic number is here?
		case unitModel.Idle:
		case unitModel.FullReloadProcessing:
			unitsTree.busyIndicator.visible = false
			unitsTree.popup.close()
			//codeStrColumn.resizeToContents()
			unitsTree.firstColumn.title = "наименование"
			unitsTree.itemsTree.expand(unitModel.index(0,0))
			unitsTree.itemsTree.expand(unitModel.index(1,0))
			break;
		case 6:// TODO: what the magic number is here?
		case unitModel.Error:
			unitsTree.popup.textField.text = "Ошибка: не удалось получить список подразделений. Проверьте подключение к сети «Интернет»…"
			unitsTree.popup.open()
			busyIndicator.visible = false
			retryReload.start()
			break;
		case 2:// TODO: what the magic number is here?
		case 3:// TODO: what the magic number is here?
		case unitModel.RequestToReload:
		case unitModel.LoadMoreProcessing:
			break;
		default:
			busyIndicator.visible = false
			unitsTree.popup.textField.text = "Ошибка: неизвестный статус: "+loadingStatus
			unitsTree.popup.open()
		}
	}

	onComponentCompleted: {
		firstColumn.title = "наименование…"
		firstColumn.role  = "Name"
		secondColumn.title = "код"
		secondColumn.role  = "CodeStr"

		unitsTree.itemModel.reload()
	}
}
